const _Http = getApp().globalData.http,
    currency = require("../../../../utils/currency"),
    CNY = value => currency(value, {
        symbol: "￥",
        precision: 2
    }).format();

Component({
    properties: {
        disabled: Boolean
    },
    data: {
        sys_enterpriseid: 0,
        content: {
            "nacache": true,
            "pageNumber": 1,
            "pageSize": 20,
            "pageTotal": 1,
            "total": null,
            "where": {
                "condition": ""
            }
        },
        list: []
    },
    methods: {
        changeTotal() {
            this.setData({
                "content.total": this.data.content.total - 1
            })
        },
        getList(id, init) {
            let content = this.data.content;
            content.sys_enterpriseid = 0;
            if (init) {
                content.pageNumber = 1
                content.pageTotal = 1
            }
            _Http.basic({
                "id": "20221009160003",
                content
            }).then(res => {
                console.log("客户账户信息", res)
                if (res.msg != '成功') return wx.showToast({
                    title: res.data,
                    icon: "none"
                })
                if (res.data.length) res.data = res.data.map(v => {
                    console.log(v.balance)
                    console.log(CNY(v.balance))
                    v.balance = CNY(v.balance);
                    v.creditquota = CNY(v.creditquota);
                    return v
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageSize": res.pageSize,
                    "content.pageTotal": res.pageTotal,
                    "content.total": res.total,
                    sys_enterpriseid: id
                })
            })
        }
    }
})